/*
	client.h	
	
	(c) Richard Thrippleton
	Licensing terms are in the 'LICENSE' file
	If that file is not included with this source then permission is not given to use this source in any way whatsoever.
*/

class client //Module to handle connection to servers
{
	public:
	static void init(); //Initialise the client datastructures
	static void stop(); //Clean up and terminate client, disconnecting from the server
	static void connect(char* host); //Connect to given host
	static void poll(); //Run the client for a cycle, polling for new objects and acting on them
	static void action(short typ,long opr); //Send an action to the server, given action type number and operand
};
