/*
	error.cc
	
	(c) Richard Thrippleton
	Licensing terms are in the 'LICENSE' file
	If that file is not included with this source then permission is not given to use this source in any way whatsoever.
*/

#include <string.h>
#include <stdio.h>
#include <signal.h>

class error //Game failure exception (human readable by design)
{
	public:
	error(char* str); //Constructor sets the string

	static void debug(const char* str,long num); //Prints a debug string and integer immediately to console

	char str[129]; //Error string
};

error::error(char* str)
{
	if(strlen(str)>128)
		str[128]='\0';
	strcpy(this->str,str);
}

void error::debug(const char* str,long num)
{
	printf("%s  %ld\n",str,num);
	fflush(NULL);
}

