/*
	equip.h
	
	(c) Richard Thrippleton
	Licensing terms are in the 'LICENSE' file
	If that file is not included with this source then permission is not given to use this source in any way whatsoever.
*/

class equip //Equipment item
{
	public:
	static const short LIBSIZE=32; //Maximum equipment library size
	enum {PHASER=1,LAUNCHER=2,TRANSPORTER=3,CLOAK=4}; //Different equipment types

	static void init(); //Initialise the equipment datastructures
	static void loadlib(); //Load the equipment library
	static equip* get(short indx); //Get an equipment item by index

	short self; //Self index in the equipment cache
	char nam[65]; //Name
	short typ; //Type (see top enum);
	short mss; //Mass
	short spr; //Associated sprite index
	short col; //Colour (makes it a beam weapon)
	short snd; //Associated sound index
	short pow; //Power consumption
	short rdy; //Readiness cycle time
	short cap; //Capacity
	short rng; //Range
	short trck; //Tracking power
	short acov; //Angle coverage
	short cost; //Base cost
};
