/*
	sound.h
	
	(c) Richard Thrippleton
	Licensing terms are in the 'LICENSE' file
	If that file is not included with this source then permission is not given to use this source in any way whatsoever.
*/

class sound //A sound in the database
{
	public:
	static const short ISIZE=256; //Maximum index size of sounds

	static void init(); //Initialise the sound system datastructures
	static void start(); //Start the sound system
	static void stop(); //Stop the sound system
	static sound* get(short indx); //Returns sound of given index from the database

	void play(short div); //Schedules sound to play with given div factor
};
